import * as react_querybuilder from 'react-querybuilder';
import { NotToggleProps, ValueEditorProps, Field } from 'react-querybuilder';
import * as React from 'react';

declare const BootstrapNotToggle: {
    ({ className, handleOnChange, title, label, checked, disabled, }: NotToggleProps): React.JSX.Element;
    displayName: string;
};

declare const BootstrapValueEditor: {
    (props: ValueEditorProps): React.JSX.Element | null;
    displayName: string;
};

declare const bootstrapControlElements: {
    notToggle: {
        ({ className, handleOnChange, title, label, checked, disabled, }: react_querybuilder.NotToggleProps): React.JSX.Element;
        displayName: string;
    };
    valueEditor: {
        (props: react_querybuilder.ValueEditorProps<Field<string, string, string, react_querybuilder.Option<string>, react_querybuilder.Option<string>>, string>): React.JSX.Element | null;
        displayName: string;
    };
};
declare const bootstrapControlClassnames: {
    addGroup: string;
    addRule: string;
    cloneGroup: string;
    cloneRule: string;
    lockGroup: string;
    lockRule: string;
    removeGroup: string;
    removeRule: string;
    combinators: string;
    fields: string;
    operators: string;
    value: string;
    valueSource: string;
};
declare const bootstrapTranslations: {
    removeGroup: {
        label: React.JSX.Element;
    };
    removeRule: {
        label: React.JSX.Element;
    };
    cloneRule: {
        label: React.JSX.Element;
    };
    cloneRuleGroup: {
        label: React.JSX.Element;
    };
    dragHandle: {
        label: React.JSX.Element;
    };
    lockGroup: {
        label: React.JSX.Element;
    };
    lockRule: {
        label: React.JSX.Element;
    };
    lockGroupDisabled: {
        label: React.JSX.Element;
    };
    lockRuleDisabled: {
        label: React.JSX.Element;
    };
    shiftActionUp: {
        label: React.JSX.Element;
    };
    shiftActionDown: {
        label: React.JSX.Element;
    };
};
declare const QueryBuilderBootstrap: react_querybuilder.QueryBuilderContextProvider<Record<string, any>>;

export { BootstrapNotToggle, BootstrapValueEditor, QueryBuilderBootstrap, bootstrapControlClassnames, bootstrapControlElements, bootstrapTranslations };
